<?php

use App\Models\Factor;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('factors', function (Blueprint $table) {
            $table->id();
            $table->string(Factor::COLUMN_USER_ID);
            $table->string(Factor::COLUMN_UUID);
            $table->float(Factor::COLUMN_DEFAULT_VALUE);
            $table->float(Factor::COLUMN_VALUE);
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('factors');
    }
};
